Bug 1436835 - no actions listed for /api/vms/:id/snapshots
Summary: no actions listed for /api/vms/:id/snapshots
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-28 19:18 UTC by Martin Kourim
Modified: 2018-03-14 15:44 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:44:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Martin Kourim 2017-03-28 19:18:58 UTC
Description of problem:
The "snapshots" subcollection /api/vms/:vm_id/snapshots supports actions like "create" and "delete", but doesn't list any of them. Same for resources in /api/vms/:vm_id/snapshots/:id - no actions listed.

This is inconsistent with other subcollections like /api/vms/:vm_id/tags that list supported actions.


Version-Release number of selected component (if applicable):
5.8.0.7


How reproducible:
Very


Steps to Reproduce:
1. GET /api/vms/:vm_id/snapshots
2. GET /api/vms/:vm_id/snapshots/:id

Actual results:
supported actions are not listed

Comment 2 Tim Wade 2017-04-06 00:18:06 UTC
Fixed in https://github.com/ManageIQ/manageiq/pull/14033

Comment 3 Martin Kourim 2017-04-19 15:25:28 UTC
Verified that on 5.8.0.10-beta1 actions "create" and "delete" are listed.

Comment 5 errata-xmlrpc 2017-05-31 14:44:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.